WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Tor Blocker

Tor Blocker stands for limiting actions to the users that came from Tor exit nodes.

What if I have problems activating the plugin?

For any problem you face with the plugin activation, please visit support forums or contact us at contact@hqpeak.com.

Does this plugin work with newest version of WordPress and also with older versions?

Yes, this plugin works really fine with WordPress 3.8.1! It should also work with earlier versions, but the testing was done at the latest stable version and that is 3.8.1, so you always should run the latest WordPress version to escape possible problems.

What if a user using tor is not in the list and happens to come to the site?

No worries. The tor exit list is updated frequently each 5 minutes or 5 hours, depending on which version is used, so users using tor that are not on the list will be updated after this amount of time and thus will be denied by the plugin.

Do I have to set up the settings every time I activate the plugin?

Yes. Every time the plugin is activated its options are set to default values, so it means you have to set them up again.

How many request parameters can I put in the textarea to limit the user by request?

No limit at all. You can put as many parameters in the textarea as you want. The plugin will recognize any request parameter in the URL and stop the user immediately.

What is allowed to the tor users by default?

By default, tor users are allowed just to visit the site and read its public content. As you might guess, you can deny this too, so the tor user is stopped before reaching your site.

Requires: 3.8.1 or higher
Compatible up to: 3.8.3
Last Updated: 2014-2-25
Downloads: 170

Ratings

0 stars
0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1